Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02147 Interface Trivial Always Aug 22, 2008, 12:16 Aug 26, 2008, 04:44
Tester etabeta View Status Public Platform SDLMAME
Assigned To aaron Resolution Fixed OS MacOS X
Status [?] Resolved Driver
Version 0.127 Fixed in Version 0.127u1 Build Normal
Summary 02147: Annoying behaviour of highlighted entries in minimal UI
Description Start mame without arguments and type "fh" (without quotes). fhawk will be highlighted.

Now type "b" (say because you're interested in fhboxers). fhboxers will show up at the top of the list, but the highlighted entry is still fhawk, forcing the user to scroll up the menu until the top

It would be easier if the top result is the highligthed one (this way you could safely press start, being sure the first title would be launched)
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.02212
Atari Ace
Senior Tester
Aug 25, 2008, 01:20
Here's one way to fix this:

diff -Nru zz0/src/emu/uimenu.c palette0/src/emu/uimenu.c
--- zz0/src/emu/uimenu.c	2008-08-12 21:55:42.959964000 -0700
+++ palette0/src/emu/uimenu.c	2008-08-24 18:17:12.062500000 -0700
@@ -478,7 +478,7 @@
 	ui_menu_pool *pool;
 
 	/* based on the reset option, set the reset info */
-	menu->resetpos = 0;
+	menu->resetpos = -1;
 	menu->resetref = NULL;
 	if (options == UI_MENU_RESET_REMEMBER_POSITION)
 		menu->resetpos = menu->selected;
@@ -2886,6 +2886,7 @@
 			{
 				*(char *)utf8_previous_char(&menustate->search[buflen]) = 0;
 				menustate->rerandomize = TRUE;
+				menu->selected = 0;
 				changed = TRUE;
 			}
 
@@ -2894,6 +2895,7 @@
 			{
 				buflen += utf8_from_uchar(&menustate->search[buflen], ARRAY_LENGTH(menustate->search) - buflen, event->unichar);
 				menustate->search[buflen] = 0;
+				menu->selected = 0;
 				changed = TRUE;
 			}
 		}
@@ -2907,7 +2909,7 @@
 
 	/* if we changed, force a redraw on the next go */
 	if (changed)
-		ui_menu_reset(menu, UI_MENU_RESET_REMEMBER_REF);
+		ui_menu_reset(menu, UI_MENU_RESET_REMEMBER_POSITION);
 }
 
 
User avatar
No.02213
etabeta
Developer
Aug 25, 2008, 04:52
could the change from

UI_MENU_RESET_REMEMBER_REF

to

UI_MENU_RESET_REMEMBER_POSITION

create problems in other menus? it would quite bad if a minor annoyance would produce a major one to be fixed ;)